JSON (Grails 2.4.4)
Date: 2014-10-28

Package: grails.converters.deep

## [Java] Class JSON

- grails.converters.deep.JSON

- A converter that converts domain classes, Maps, Lists, Arrays, POJOs and POGOs to JSON (Including nested Domain Classes)

  deprecated:
    The Converters framework has been refactored and this made the deep Converters obsolete
  Authors:
    Siegfried Puchbauer

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CONFIGURATION_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JSON` | `circularReferenceBehaviour, config, prettyPrint, referenceStack, target, writer`
    `class AbstractConverter` | `contentType, encoding, excludes, includes`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected ConverterConfiguration<JSON>` | `initConfig()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JSON` | `build, convertAnother, createNamedConfig, getDepth, getNamedConfig, getWriter, handleCircularRelationship, initConfig, lookupObjectMarshaller, parse, parse, parse, parse, property, registerObjectMarshaller, registerObjectMarshaller, registerObjectMarshaller, registerObjectMarshaller, render, render, setExcludes, setIncludes, setPrettyPrint, setTarget, toString, use, use, value, withDefaultConfiguration`
    `class AbstractConverter` | `createBeanWrapper, getExcludes, getIncludes, setContentType, setEncoding, setExcludes, setIncludes, setTarget, toString`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String CONFIGURATION_NAME

  - ### Method Detail

    - #### @java.lang.Override protected ConverterConfiguration<JSON> initConfig()